#ifndef CTRLPWDPANEL_H
#define CTRLPWDPANEL_H

#include <QLabel>
#include <QLineEdit>
#include <QPushButton>

class CtrlPwdPanel : public QWidget {
    Q_OBJECT
public:
    explicit CtrlPwdPanel(QWidget *parent = nullptr);
protected:
    void showEvent(QShowEvent *event) override;
    void init();
    void changeEvent(QEvent *) override;
    void transUi();

private:
    QLabel *lbPwdConfig;
    QLabel *lbOldPwd;
    QLabel *lbNewPwd;
    QLabel *lbPwdAgain;
    QLineEdit *fdOldPwd;
    QLineEdit *fdNewPwd;
    QLineEdit *fdPwdAgain;
    QPushButton *btnPwdSet;
    QPushButton *btnPwdClear;
};

#endif // CTRLPWDPANEL_H
